PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/firewallRules/{firewallRuleName}?api-version=2025-01-01
URI パラメーター
名前
/
必須
型
説明
firewallRuleName
path
True
string
ファイアウォール規則の名前。
resourceGroupName
path
True
string
minLength: 1 maxLength: 90
リソース グループの名前。 名前の大文字と小文字は区別されません。
serverName
path
True
string
サーバーの名前。
subscriptionId
path
True
string
(uuid)
ターゲット サブスクリプションの ID。 値は UUID である必要があります。
api-version
query
True
string
minLength: 1
この操作に使用する API バージョン。
要求本文
名前
型
説明
name
string
リソース名。
properties.endIpAddress
string
ファイアウォール規則の終了 IP アドレス。 IPv4 形式である必要があります。 startIpAddress 以上である必要があります。 すべてのAzure内部IPアドレスには値「0.0.0.0」を使いましょう。
properties.startIpAddress
string
ファイアウォール規則の開始 IP アドレス。 IPv4 形式である必要があります。 すべてのAzure内部IPアドレスには値「0.0.0.0」を使いましょう。
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python firewall_rule_create.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.firewall_rules.create_or_update(
resource_group_name="firewallrulecrudtest-12",
server_name="firewallrulecrudtest-6285",
firewall_rule_name="firewallrulecrudtest-5370",
parameters={"properties": {"endIpAddress": "0.0.0.3", "startIpAddress": "0.0.0.3"}},
)
print(response)
# x-ms-original-file: 2025-01-01/FirewallRuleCreate.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/FirewallRuleCreate.json
// this example is just showing the usage of "FirewallRules_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "firewallrulecrudtest-12";
string serverName = "firewallrulecrudtest-6285";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlFirewallRuleResource
SqlFirewallRuleCollection collection = sqlServer.GetSqlFirewallRules();
// invoke the operation
string firewallRuleName = "firewallrulecrudtest-5370";
SqlFirewallRuleData data = new SqlFirewallRuleData
{
StartIPAddress = "0.0.0.3",
EndIPAddress = "0.0.0.3",
};
ArmOperation<SqlFirewallRuleResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, firewallRuleName, data);
SqlFirewallRuleResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlFirewallRuleData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python firewall_rule_update.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.firewall_rules.create_or_update(
resource_group_name="firewallrulecrudtest-12",
server_name="firewallrulecrudtest-6285",
firewall_rule_name="firewallrulecrudtest-3927",
parameters={"properties": {"endIpAddress": "0.0.0.1", "startIpAddress": "0.0.0.1"}},
)
print(response)
# x-ms-original-file: 2025-01-01/FirewallRuleUpdate.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/FirewallRuleUpdate.json
// this example is just showing the usage of "FirewallRules_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "firewallrulecrudtest-12";
string serverName = "firewallrulecrudtest-6285";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlFirewallRuleResource
SqlFirewallRuleCollection collection = sqlServer.GetSqlFirewallRules();
// invoke the operation
string firewallRuleName = "firewallrulecrudtest-3927";
SqlFirewallRuleData data = new SqlFirewallRuleData
{
StartIPAddress = "0.0.0.1",
EndIPAddress = "0.0.0.1",
};
ArmOperation<SqlFirewallRuleResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, firewallRuleName, data);
SqlFirewallRuleResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlFirewallRuleData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");